summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/setup/examplegit43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/setup/examplegit b/tests/setup/examplegit
new file mode 100755
index 0000000..4f0a2f8
--- /dev/null
+++ b/tests/setup/examplegit
@@ -0,0 +1,43 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+suitespecs+=' stable'
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+revision=1
+
+push-to () {
+ t-refs-same-start
+ t-ref-head
+ t-dgit build
+ t-dgit push --new $2
+ t-pushed-good $1 $2
+ t-archive-process-incoming $2
+}
+
+echo ancestor >which
+git add which
+t-commit Ancestor '' stable
+push-to master stable
+
+git checkout -b stable
+
+echo stable >which
+git add which
+t-commit Stable '' stable
+push-to stable stable
+
+git checkout master
+
+echo sid >which
+git add which
+t-commit Sid
+push-to master sid
+
+t-setup-done 'p v suitespecs revision' "aq git incoming $p"